Summary:        Color Management Engine
Name:           lcms2
Version:        2.15
Release:        2%{?dist}
License:        MIT
URL:            http://www.littlecms.com/
Source0:        http://www.littlecms.com/lcms2-%{version}.tar.gz
Patch0001:      360.patch

BuildRequires:  gcc meson
BuildRequires:  libjpeg-devel libtiff-devel zlib-devel

%description
Little CMS intends to be a small-footprint color management engine,
with special focus on accuracy and performance. It uses the International
Color Consortium standard (ICC), which is the modern standard when
regarding to color management. The ICC specification is widely used and
is referred to in many International and other de-facto standards.

%package        utils
Summary:        Utility applications for lcms2
Requires:       %{name} = %{version}-%{release}

%description    utils
This package provides utility applications for lcms2.

%package        devel
Summary:        Development files for LittleCMS
Requires:       %{name} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc AUTHORS ChangeLog README*
%{_libdir}/liblcms2.so.2*

%files utils
%{_bindir}/*
%{_mandir}/man1/*

%files devel
%{_includedir}/lcms2*.h
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 3 2023 Wang Guodong <gordonwwang@tencent.com> - 2.15-1
- Upgrade to 2.15

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 2.13.1-4
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 16 2022 Shuo Wang <abushwang@tencent.com> - 2.13.1-1
- initial build
